/*
-------------------------------------------------------------------------------
Name:         TB_toggleStraightLineShortcuts.js 

Description:  Toggle a pref with GUI.

Usage:        Run the script from within the software.

Author:       mabouvier

Created:      v01 2019/09/06

Copyright:   (c) Toon Boom Animation 2019

 
-------------------------------------------------------------------------------
*/

function TB_toggleStraightLineShortcuts()
{

// Type the name of the pref to toggle below 
  var prefToToggle = "DRAWING_USE_LEGACY_STRAIGHT_LINE_MODIFIERS";

  var prefValue = preferences.getBool(prefToToggle, true);


  var d = new Dialog;
  
  d.title = "Change Pref Value";

  var togglePref = new CheckBox;
  togglePref.text = "Draw straight lines at any angle while holding SHIFT\n(Requires application restart)";
//  togglePref.toolTip = "Write a tooltip here.";
  togglePref.checked = prefValue;
  d.addSpace(10);
  d.add(togglePref);
  d.addSpace(20);


 // Call dialog. Clicking "Cancel" returns false
    var rc = d.exec();

   if (rc == false)
   {
      return;
    }
    
    preferences.setBool(prefToToggle, togglePref.checked);

       
}